<?php
/**
 * BuddyPress - Groups Admin - Edit Details
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

?>
<h2 class="bp-screen-reader-text"><?php _e( 'Manage Group Details', 'community-builder' ); ?></h2>
<?php

/**
 * Fires before the display of group admin details.
 */
do_action( 'bp_before_group_details_admin' );
?>

<div class="form-row group-name-row">
	<label for="group-name"><?php _e( 'Group Name (required)', 'community-builder' ); ?></label>
	<input type="text" name="group-name" id="group-name" value="<?php bp_group_name(); ?>" aria-required="true" />
</div>

<div class="form-row group-desc-row">
	<label for="group-desc"><?php _e( 'Group Description (required)', 'community-builder' ); ?></label>
	<textarea name="group-desc" id="group-desc" aria-required="true"><?php bp_group_description_editable(); ?></textarea>
</div>

<?php
/**
 * Fires after the group description admin details.
 */
do_action( 'groups_custom_group_fields_editable' );
?>

<p class="group-notify-members-wrapper">
	<label for="group-notify-members">
		<input type="checkbox" name="group-notify-members" id="group-notify-members" value="1" /><?php _e( 'Notify group members of these changes via email', 'community-builder' ); ?>
	</label>
</p>

<?php
/**
 * Fires after the display of group admin details.
 */
do_action( 'bp_after_group_details_admin' );
?>

<div class="submit">
	<input type="submit" value="<?php esc_attr_e( 'Save Changes', 'community-builder' ); ?>" id="save" name="save" /></p>
</div>
<?php
wp_nonce_field( 'groups_edit_group_details' );
