<?php
/**
 * BuddyPress - Member - Settings - Delete Account
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;
?>
<?php do_action( 'bp_before_member_settings_template' ); ?>

<div class="warning">

	<?php if ( bp_is_my_profile() ) : ?>
		<p><?php _e( 'Deleting your account will delete all of the content you have created. It will be completely irrecoverable.', 'community-builder' ); ?></p>
	<?php else : ?>
		<p><?php _e( 'Deleting this account will delete all of the content it has created. It will be completely irrecoverable.', 'community-builder' ); ?></p>
	<?php endif; ?>

</div>

<form action="<?php echo bp_displayed_user_domain() . bp_get_settings_slug() . '/delete-account'; ?>" name="account-delete-form" id="account-delete-form" class="standard-form form-settings form-settings-delete" method="post">

	<?php

	/**
	 * Fires before the display of the submit button for user delete account submitting.
	 */
	do_action( 'bp_members_delete_account_before_submit' );
	?>

	<label>
		<input type="checkbox" name="delete-account-understand" id="delete-account-understand" value="1" onclick="if(this.checked) { document.getElementById('delete-account-button').disabled = ''; } else { document.getElementById('delete-account-button').disabled = 'disabled'; }" />
		<?php _e( 'I understand the consequences.', 'community-builder' ); ?>
	</label>

	<div class="submit">
		<input type="submit" disabled="disabled" value="<?php esc_attr_e( 'Delete Account', 'community-builder' ); ?>" id="delete-account-button" name="delete-account-button" />
	</div>

	<?php

	/**
	 * Fires after the display of the submit button for user delete account submitting.
	 */
	do_action( 'bp_members_delete_account_after_submit' );
	?>

	<?php wp_nonce_field( 'delete-account' ); ?>

</form>

<?php do_action( 'bp_after_member_settings_template' );