<?php
/**
 * BuddyPress Members directory filters
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;
?>
<div class="dir-search-anchor">
	<a href="#"><i class="fa fa-search"></i></a>
</div>
<div class="bp-filter-order-by bp-mpp-filter-order-by">

	<label for="mpp-filter-by"><?php _e( 'Filter By:', 'community-builder' ); ?></label>
	<select id="mpp-filter-by">
		<option value=""><?php _e( 'All Galleries', 'community-builder' ) ?></option>

		<?php $active_types = mpp_get_active_types(); ?>

		<?php foreach( $active_types as $type => $type_object ):?>
			<option value="<?php echo $type;?>"><?php echo $type_object->get_label();?> </option>
		<?php endforeach;?>

		<?php do_action( 'mpp_gallery_directory_order_options' ) ?>
	</select>

</div>